Pāriet uz saturu

FFmpeg API Metadata

Integrēt

Modeļa id ffmpeg-api/metadata
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/ffmpeg-api/metadata?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "media_url": "https://example.com/your-file.bin"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Šis pieprasījums: ≈0,001 $ 1 API kredīts · ≈ 0,11 ₽ Izpildīt šajā lapā

Iegūt API atslēgu
Utility Cits #ffmpeg

Nolasa video vai audio faila kodēšanas metadatus un atgriež tos kā JSON

Utility · Dati (JSON)

Šeit būs jūsu pirmais rezultāts

Izveidojiet pieprasījumu tālāk un izpildiet to ar savu API atslēgu. Izvades tiek kopētas mūsu krātuvē un glabātas mūžīgi vai 7 dienas bez maksas.

Izveidot pieprasījumu

Vadīklas tiek ģenerētas no modeļa shēmas. Kods un cena tiek atjaunināti, kad tos maināt.

•obligāts

URL, kas norāda uz analizējamo video vai audio failu.

Papildu extract_frames
POST /run/ffmpeg-api/metadata?wait=20 cena → 0,001 $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/ffmpeg-api/metadata?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "media_url": "https://example.com/your-file.bin"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Palaist šo pieprasījumu

Jūsu atslēga paliek šajā pārlūkprogrammā: tā tiek nosūtīta tikai uz Doitong API un saglabāta (localStorage) tikai tad, ja atzīmējat Atcerēties. Iegūt API atslēgu

Par FFmpeg API Metadata

Analizē failu vietnē `media_url` un ziņo par tā tehnisko informāciju kā JSON objektu. Darbojas gan ar video, gan audio. Iestatiet `extract_frames` uz true, lai papildus iegūtu video sākuma un beigu kadrus; tas padara pieprasījumu lēnāku.

Parametri

NosaukumsTips NoklusējumsAtļauts Apraksts
media_urlobligāts
Tipsstring
URL, kas norāda uz analizējamo video vai audio failu.
extract_framesneobligāts
Tipsboolean
Noklusējumsfalse
Iespējo katra video pirmā un pēdējā kadra izvilkšanu, iestatot šo vērtību uz true, taču tas palēnina pieprasījuma apstrādi.
obligāts

Izvade

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "ffmpeg-api/metadata",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 1,
    "usd": "0.001",
    "charged": 1,
    "refunded": 0
  },
  "input": {
    "media_url": "https://example.com/your-file.bin"
  },
  "output": {
    "media": {
      "media_type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200,
      "duration": 5,
      "bitrate": 1,
      "codec": "string",
      "container": "string",
      "fps": 1,
      "frame_count": 1,
      "timebase": "string",
      "resolution": {
        "aspect_ratio": "string",
        "width": 1024,
        "height": 768
      },
      "format": {
        "container": "string",
        "video_codec": "string",
        "profile": "string",
        "level": 1.0,
        "pixel_format": "string",
        "bitrate": 1
      },
      "audio": {
        "codec": "string",
        "channels": 1,
        "sample_rate": 1,
        "bitrate": 1
      },
      "start_frame_url": "string",
      "end_frame_url": "string"
    }
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Jūsu faili, jūsu izvēleKatrs outputs[].url ir kopija mūsu krātuvē: tiek glabāta mūžīgi (maksa par GB mēnesī) vai 7 dienas bez maksas — atbilstoši konta iestatījumam vai ?storage=.
Vienāda struktūra katram modelimtype, url, content_type, width, height un duration gan attēliem, gan video un audio. output ir paša modeļa rezultāta objekts.
Izvades lauki
media
object {media_type, url, content_type, file_name, file_size, duration, bitrate, codec, container, fps, frame_count, timebase, resolution, format, audio, start_frame_url, end_frame_url} | object {media_type, url, content_type, file_name, file_size, duration, bitrate, codec, container, channels, sample_rate}Analizētā audio vai video faila metadati.

Vairāk modeļu: Cits

AI aģentiem: šī lapa Markdown formātā ir pieejama https://doitong.com/lv/developers/models/ffmpeg-api/metadata.md. Visi modeļi un ceļveži: https://doitong.com/developers/llms.txt